stup.exe
if /i "%PROCESSOR_IDENTIFIER:~0,3%"=="X86" (goto X86) else (goto X64)
:X86
echo 本机操作系统为32位
goto 32
:32
echo y| copy iKeySCOM.dll %windir%\system32\iKeySCOM.dll
regsvr32 %windir%\system32\iKeySCOM.dll
exit
:X64
echo 本机操作系统为64位
goto 64
:64
echo y| copy iKeySCOM.dll %windir%\syswow64\iKeySCOM.dll
regsvr32 %windir%\syswow64\iKeySCOM.dll
exit